import {Component} from '@angular/core';
import {RouterOutlet} from '@angular/router';
import {FooterComponent} from "@component/common/footer/footer.component";
import localeRu from '@angular/common/locales/ru';
import { registerLocaleData } from '@angular/common';
import {FocusNextDirective} from "@/directives/focus-next.directive";

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet, FooterComponent, FocusNextDirective],
  template: `
    <router-outlet/>
    <app-footer/>`
})
export class AppComponent {
  constructor() {
    registerLocaleData(localeRu);
  }
}
